---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: content-deploy
  labels:
    app: content
spec:
  replicas: 1
  selector:
    matchLabels:
      app: content
  minReadySeconds: 5
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
  template:
    metadata:
      labels:
        app: content
    spec:
      containers:
        - name: content
          ports:
            - containerPort: 8080
          volumeMounts:
            - name: settings-volume
              mountPath: /usr/share/nginx/html/settings/
          readinessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 5
            periodSeconds: 5
            successThreshold: 1
      volumes:
        - name: settings-volume
          configMap:
            name: content-config
